# Gravatar 📇 Rust

> **Gravatar image URL library for Rust.**

## API

For full documentation see [docs.rs](https://docs.rs/gravatar-rs).

## Example

```rust
use gravatar_rs::Generator;

let generator = Generator::default();

let gravatar_url = generator.generate("helllo@holllo.org");

assert_eq!(
  gravatar_url,
  "https://www.gravatar.com/avatar/e9a2c03d607ec80a5b725ad42c19ee36"
);
```

## Feedback

Found a problem or want to request a new feature? Email [helllo@holllo.org](mailto:helllo@holllo.org) and I'll see what I can do for you.

## License

Distributed under the [Apache License 2.0](https://spdx.org/licenses/Apache-2.0.html) and [MIT](https://spdx.org/licenses/MIT.html) licenses, see [LICENSE-Apache](https://git.bauke.xyz/Holllo/gravatar-rs/src/branch/main/LICENSE-Apache) and [LICENSE-MIT](https://git.bauke.xyz/Holllo/gravatar-rs/src/branch/main/LICENSE-MIT) for more information.
